IF OBJECT_ID('PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA') IS NULL
BEGIN

	CREATE TABLE [dbo].[PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA](
		[CD_EMP] [int] NOT NULL,
		[CD_CAMPANHA_ADIC] [int] NOT NULL,
		[CD_ARV_MERC_FAMILIA] [int] NOT NULL,
		[QTDE_PROD] [money] NOT NULL,
		[VLR_PROD] [money] NOT NULL,
	 CONSTRAINT [PK_PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA] PRIMARY KEY CLUSTERED 
	(
		[CD_EMP] ASC,
		[CD_CAMPANHA_ADIC] ASC,
		[CD_ARV_MERC_FAMILIA] ASC
	)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80) ON [PRIMARY],
	 CONSTRAINT [IX_PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA] UNIQUE NONCLUSTERED 
	(
		[CD_CAMPANHA_ADIC] ASC,
		[CD_ARV_MERC_FAMILIA] ASC,
		[CD_EMP] ASC
	)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON, FILLFACTOR = 80) ON [PRIMARY]
	) ON [PRIMARY]
END

GO

IF OBJECT_ID('DF_PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA_CD_EMP') IS NULL
BEGIN
	ALTER TABLE [dbo].[PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA] ADD  CONSTRAINT [DF_PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA_CD_EMP]  DEFAULT ((0)) FOR [CD_EMP]
END

GO

IF OBJECT_ID('DF_PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA_CD_CAMPANHA_ADIC') IS NULL
BEGIN
	ALTER TABLE [dbo].[PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA] ADD  CONSTRAINT [DF_PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA_CD_CAMPANHA_ADIC]  DEFAULT ((0)) FOR [CD_CAMPANHA_ADIC]
END

GO

IF OBJECT_ID('DF_PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA_CD_ARV_MERC_FAMILIA') IS NULL
BEGIN
	ALTER TABLE [dbo].[PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA] ADD  CONSTRAINT [DF_PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA_CD_ARV_MERC_FAMILIA]  DEFAULT ((0)) FOR [CD_ARV_MERC_FAMILIA]
END

GO

IF OBJECT_ID('DF_PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA_QTDE_PROD') IS NULL
BEGIN
	ALTER TABLE [dbo].[PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA] ADD  CONSTRAINT [DF_PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA_QTDE_PROD]  DEFAULT ((1)) FOR [QTDE_PROD]
END

GO

IF OBJECT_ID('DF_PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA_VLR_PROD') IS NULL
BEGIN
	ALTER TABLE [dbo].[PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA] ADD  CONSTRAINT [DF_PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA_VLR_PROD]  DEFAULT ((0)) FOR [VLR_PROD]
END

GO


IF OBJECT_ID('FK_PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA_EST_ARV_MERC_FAMILIA') IS NULL
BEGIN
	ALTER TABLE [dbo].[PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA]  WITH CHECK ADD  CONSTRAINT [FK_PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA_EST_ARV_MERC_FAMILIA] FOREIGN KEY([CD_EMP], [CD_ARV_MERC_FAMILIA])
	REFERENCES [dbo].[EST_ARV_MERC_FAMILIA] ([CD_EMP], [CD_ARV_MERC_FAMILIA])

	ALTER TABLE [dbo].[PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA] CHECK CONSTRAINT [FK_PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA_EST_ARV_MERC_FAMILIA]
END

GO

IF OBJECT_ID('FK_PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA_PDV_CAMPANHA_ADICIONAIS') IS NULL
BEGIN
	ALTER TABLE [dbo].[PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA]  WITH CHECK ADD  CONSTRAINT [FK_PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA_PDV_CAMPANHA_ADICIONAIS] FOREIGN KEY([CD_EMP], [CD_CAMPANHA_ADIC])
	REFERENCES [dbo].[PDV_CAMPANHA_ADICIONAIS] ([CD_EMP], [CD_CAMPANHA_ADIC])
	
	ALTER TABLE [dbo].[PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA] CHECK CONSTRAINT [FK_PDV_CAMPANHA_ADICIONAIS_EST_ARV_MERC_FAMILIA_PDV_CAMPANHA_ADICIONAIS]
END
GO


